This schema is currently in preview and might change in the future.
We’re excited to hear your feedback and ideas. Please send an email to support@gigs.com to share your thoughts.
Type of object is always networkAvailability.
networkAvailability The unique identifier for the plan.
"pln_0SNlurA049MEWV3V0q7gjQbM4EVo"The ID of the network provider supported by this plan.
"p11"The technologies supported by the network provider.
{"4G":{"strength":"good","minDecibelMilliwatts":-90},"5G":{"strength":"fair","minDecibelMilliwatts":-100}}{
"object": "networkAvailability",
"availability": [
{
"plan": "pln_0SNlurA049MEWV3V0q7gjQbM4EVo",
"provider": "p11",
"technologies": {
"4G": {
"strength": "good",
"minDecibelMilliwatts": -90
},
"5G": {
"strength": "fair",
"minDecibelMilliwatts": -100
}
}
}
],
"location": {
"address": {
"city": "New York City",
"country": "US",
"line1": "129 West 81st Street",
"line2": "Apartment 5",
"postalCode": "10024",
"state": "NY"
},
"coordinates": {
"latitude": 40.7831,
"longitude": -73.9712
}
}
}
Looks up network availability information based on geographic coordinates (latitude/longitude) or address. Returns network availability data only for US locations.
This endpoint is currently in preview and might change in the future.
We’re excited to hear your feedback and ideas. Please send an email to support@gigs.com to share your thoughts.
Returns the network availability data with location.
Type of object is always networkAvailability.
networkAvailability The unique identifier for the plan.
"pln_0SNlurA049MEWV3V0q7gjQbM4EVo"The ID of the network provider supported by this plan.
"p11"The technologies supported by the network provider.
{"4G":{"strength":"good","minDecibelMilliwatts":-90},"5G":{"strength":"fair","minDecibelMilliwatts":-100}}curl https://api.gigs.com/projects/${GIGS_PROJECT}/networkAvailability/lookup \
-X POST \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json" \
-d '{
"address": {
"city": "New York City",
"country": "US",
"line1": "129 West 81st Street",
"line2": "Apartment 5",
"postalCode": "10024",
"state": "NY"
},
"coordinates": {
"latitude": 40.7831,
"longitude": -73.9712
}
}'
{
"object": "networkAvailability",
"availability": [
{
"plan": "pln_0SNlurA049MEWV3V0q7gjQbM4EVo",
"provider": "p11",
"technologies": {
"4G": {
"strength": "good",
"minDecibelMilliwatts": -90
},
"5G": {
"strength": "fair",
"minDecibelMilliwatts": -100
}
}
}
],
"location": {
"address": {
"city": "New York City",
"country": "US",
"line1": "129 West 81st Street",
"line2": "Apartment 5",
"postalCode": "10024",
"state": "NY"
},
"coordinates": {
"latitude": 40.7831,
"longitude": -73.9712
}
}
}
Returns the tilesets needed to render a coverage map, based on the project's available plans.
This endpoint is currently in preview and might change in the future.
We’re excited to hear your feedback and ideas. Please send an email to support@gigs.com to share your thoughts.
A cursor for use in pagination. The after parameter takes an object ID that defines the position in the list, only items immediately following the item with that ID will be returned.
A cursor for use in pagination. The before parameter takes an object ID that defines the position in the list, only items immediately preceding the item with that ID will be returned.
The limit of items to be returned in the list, between 0 and 200.
2010>= 0<= 200Returns the tileset for a specific plan, if available.
"pln_0SNlurA049MEWV3V0q7gjQbM4EVo"Returns a list of network availability tilesets.
Type of object is always list.
list networkAvailabilityTileset.A unique identifier to be used as after pagination parameter if more items are available sorted after the current batch of items.
A unique identifier to be used as before pagination parameter if more items are available sorted before the current batch of items.
curl https://api.gigs.com/projects/${GIGS_PROJECT}/networkAvailabilityTilesets \
-X GET \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "list",
"items": [
{
"object": "networkAvailabilityTileset",
"expiresAt": "2026-08-10T12:00:00Z",
"layers": [
{
"technology": "5G",
"sourceLayer": "coverage_5g"
}
],
"maxZoom": 10,
"minZoom": 0,
"urlTemplate": "https://tiles.gigs.com/tiles/default/2026-08-03/{z}/{x}/{y}.pbf?URLPrefix=aHR0cHM6Ly90aWxlcy5naWdzLmNvbS90aWxlcy9kZWZhdWx0LzIwMjYtMDgtMDMv&Expires=1786363200&KeyName=tiles-key-20260930&Signature=pciE55nCNX-qhXzJNSAXaf34624="
}
],
"moreItemsAfter": null,
"moreItemsBefore": null
}